#!/bin/bash

firmware=/usr/lib/firmware/brcm/BCM4345C5.hcd
devtty=/dev/ttyS1

hardware=$(grep Hardware /proc/cpuinfo | awk -F ':' '{print $2}' |sed -e 's/^[ ]*//g')

case ${hardware} in
    "rockchip RK3566-ROC-PC HDMI(Linux)")
        firmware=/usr/lib/firmware/brcm/BCM4345C0.hcd
        devtty=/dev/ttyS1
        ;;
    "rockchip AIO-3568J HDMI (Linux)")
        firmware=/usr/lib/firmware/brcm/BCM4362A2.hcd
        devtty=/dev/ttyS8
        ;;
    "rockchip RK3399pro-firefly-aiojd4 board")
        firmware=/usr/lib/firmware/brcm/BCM4359C0.hcd
        devtty=/dev/ttyS0
        ;;
    *)
        echo 'unknow hardware'
        exit 1
esac

echo 'enable audio for : ' ${hardware}
amixer -c 1 sset 'Playback Path',0 OFF
amixer -c 1 sset 'Playback Path',0 HP

amixer -c 1 sset 'Capture MIC Path',0 'MIC OFF'
amixer -c 1 sset 'Capture MIC Path',0 'Main Mic'
amixer -c 1 sset 'Capture',0 100%,100%

echo 'enable bluetooth for : ' ${hardware}

#蓝牙上电
echo 0 > /sys/class/rfkill/rfkill0/state
sleep 3
echo 1 > /sys/class/rfkill/rfkill0/state
sleep 3

#加载蓝牙固件
killall brcm_patchram_plus1 
brcm_patchram_plus1 --bd_addr_rand --enable_hci --no2bytes --use_baudrate_for_download  --tosleep  200000 --baudrate 1500000 --patchram ${firmware} ${devtty} &

#检测蓝牙接口
while [ -z "hciconfig -a | grep hci0" ];do
    echo "waiting for hci0 init"
    sleep 2
done 

#up蓝牙接口
sleep 8
hciconfig hci0 up
sleep 8
hciconfig hci0 up
sleep 8
hciconfig hci0 up
